- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# xcb_xv_image_format_info_t Struct Reference
[XCB Xv API]

xcb_xv_image_format_info_t More...

`#include <xv.h>`

## Data Fields
uint32_t | id
uint8_t | type
uint8_t | byte_order
uint16_t | pad1
uint8_t | guid [16]
uint8_t | bpp
uint8_t | num_planes
uint16_t | pad2
uint8_t | depth
uint8_t | pad3
uint16_t | pad4
uint32_t | red_mask
uint32_t | green_mask
uint32_t | blue_mask
uint8_t | format
uint8_t | pad5
uint16_t | pad6
uint32_t | y_sample_bits
uint32_t | u_sample_bits
uint32_t | v_sample_bits
uint32_t | vhorz_y_period
uint32_t | vhorz_u_period
uint32_t | vhorz_v_period
uint32_t | vvert_y_period
uint32_t | vvert_u_period
uint32_t | vvert_v_period
uint8_t | vcomp_order [32]
uint8_t | vscanline_order
uint8_t | vpad7
uint16_t | vpad8
uint32_t | vpad9
uint32_t | vpad10

## Detailed Description

xcb_xv_image_format_info_t

## Field Documentation

uint32_t xcb_xv_image_format_info_t::id

uint8_t xcb_xv_image_format_info_t::type

uint8_t xcb_xv_image_format_info_t::byte_order

uint16_t xcb_xv_image_format_info_t::pad1

uint8_t xcb_xv_image_format_info_t::guid[16]

uint8_t xcb_xv_image_format_info_t::bpp

uint8_t xcb_xv_image_format_info_t::num_planes

uint16_t xcb_xv_image_format_info_t::pad2

uint8_t xcb_xv_image_format_info_t::depth

uint8_t xcb_xv_image_format_info_t::pad3

uint16_t xcb_xv_image_format_info_t::pad4

uint32_t xcb_xv_image_format_info_t::red_mask

uint32_t xcb_xv_image_format_info_t::green_mask

uint32_t xcb_xv_image_format_info_t::blue_mask

uint8_t xcb_xv_image_format_info_t::format

uint8_t xcb_xv_image_format_info_t::pad5

uint16_t xcb_xv_image_format_info_t::pad6

uint32_t xcb_xv_image_format_info_t::y_sample_bits

uint32_t xcb_xv_image_format_info_t::u_sample_bits

uint32_t xcb_xv_image_format_info_t::v_sample_bits

uint32_t xcb_xv_image_format_info_t::vhorz_y_period

uint32_t xcb_xv_image_format_info_t::vhorz_u_period

uint32_t xcb_xv_image_format_info_t::vhorz_v_period

uint32_t xcb_xv_image_format_info_t::vvert_y_period

uint32_t xcb_xv_image_format_info_t::vvert_u_period

uint32_t xcb_xv_image_format_info_t::vvert_v_period

uint8_t xcb_xv_image_format_info_t::vcomp_order[32]

uint8_t xcb_xv_image_format_info_t::vscanline_order

uint8_t xcb_xv_image_format_info_t::vpad7

uint16_t xcb_xv_image_format_info_t::vpad8

uint32_t xcb_xv_image_format_info_t::vpad9

uint32_t xcb_xv_image_format_info_t::vpad10

The documentation for this struct was generated from the following file:

- xv.h